Subject: Fwd: installing git from sources

From: Massimo Manca <[email-masked]>
Date: Mon, 11 Jul 2011 18:36:55 +0200

-------- Messaggio originale --------
Oggetto: 	installing git from sources
Data: 	Mon, 11 Jul 2011 18:34:21 +0200
Mittente: 	Massimo Manca <[email-masked]>
Organizzazione: 	Micron Engineering
A: 	[email-masked]

Due that for ubuntu 10 last packed git is 1.7.0 release
I installed git in linux from sources in this way:

wget .../git-1.7.6.tar.gz (incomplete web address but I download correctly)

apt-get build-dep git-core
tar -zxvf git-1.7.6.tar.gz
cd git-1.7.6.tar.gz
./configure
|make prefix=/usr/local all
sudo make prefix=/usr/local install|

all these command executed from my user maggiordomo (it is the user that could be used for sudo)

the problem is that to execute git I need sudo permissions:

git --version doesn't work
sudo git --version works.

1. What I did wrong?
2. If I make some mistakes installing from sources normally I use sudo make uninstall (from source directory) 
and I can remove the application. With git this simple doesn't work.
What have I to search and to remove other then the source directory (that has also .o .sh and executables)?